Package org.apache.wiki.content

# Class DefaultPageRenamer

java.lang.Object
org.apache.wiki.content.DefaultPageRenamer

All Implemented Interfaces:
  `PageRenamer`

public class DefaultPageRenamer extends Object implements PageRenamer
Provides page renaming functionality. Note that there used to be a similarly named class in 2.6, but due to unclear copyright, the class was completely rewritten from scratch for 2.8.

Since:
  2.8

## Constructor Summary

Constructors
Constructor
Description
`DefaultPageRenamer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`firePageRenameEvent(String oldName, String newName)`
Fires a WikiPageRenameEvent to all registered listeners.
`String`
`renamePage(Context context, String renameFrom, String renameTo, boolean changeReferrers)`
Renames a page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPageRenamer

public DefaultPageRenamer()

## Method Details

### renamePage

public String renamePage(Context context, String renameFrom, String renameTo, boolean changeReferrers) throws WikiException
Renames a page.

Specified by:
  `renamePage` in interface `PageRenamer`
Parameters:
  `context` - The current context.
  `renameFrom` - The name from which to rename.
  `renameTo` - The new name.
  `changeReferrers` - If true, also changes all the referrers.
Returns:
  The final new name (in case it had to be modified)
Throws:
  `WikiException` - If the page cannot be renamed.

### firePageRenameEvent

public void firePageRenameEvent(String oldName, String newName)
Fires a WikiPageRenameEvent to all registered listeners. Currently not used internally by JSPWiki itself, but you can use it for something else.

Specified by:
  `firePageRenameEvent` in interface `PageRenamer`
Parameters:
  `oldName` - the former page name
  `newName` - the new page name